
#pragma once
#include "MSETypes.h"

class MLFO
{
public:
  
  typedef unsigned int phase_t;


  MLFO();
  virtual ~MLFO() {}

  float tick();
    
  void setRate(const float rate);

  void setSampleRate(const float samplerate_);
  void setWaveform(MSE_LFOWaveform index);

private:

  float samplerate;
  
  phase_t phase,inc;
  
  float table[257]; 
};
